from odoo import models, fields, api,_
from odoo.exceptions import UserError, ValidationError,Warning
from psycopg2 import sql, DatabaseError

from werkzeug import utils
import json
import logging
import xlwt
from io import BytesIO
import base64
import csv
import os,secrets




class opendons_operation_batch_export(models.Model):
    _name = 'opendons.operation.batch_export'
    _description = 'lot export'
    
    name=fields.Char(string='Name',required=True,track_visibility='always')
    operation_id = fields.Many2one(
        'opendons.operation',
		String='Operation',
        index=True,
        readonly=True,
        track_visibility='onchange',
        ondelete='cascade'
    )
    partner_ids = fields.Many2many('res.partner', 'partner_batch_export_rel', 'partner_id', 'batch_export__id', string='partners')
    csv_export = fields.Binary('csv export', filters='.csv', readonly=True)
    document_fname=fields.Char()
    exported_date=fields.Date(string='Exported Date',track_visibility='always', readonly=True)

    def csv_export_batch(self):
        
        segments=self.env['opendons.segment'].search([('operation_id','=',int(self.operation_id)),('batch_export_id','=',int(self.id))])
        #récupération des contacts sélectionnées et lié au segments du batch

        return True